Bug 175272 - OO will crash when loading custom icons for the toolbar
OO will crash when loading custom icons for the toolbar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 09:15 EST by Dimitris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1.1.1-5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 11:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 59129 None None None Never

  None (edit)
Description Dimitris 2005-12-08 09:15:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
OO crashes while trying to load custom icons for the toolbar. This happened with 2.0.0 and well as the newly released 2.0.1.



Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.1-143.2.1

How reproducible:
Always

Steps to Reproduce:
1. Load OO Writer and click on:
2. "View"
3. "Toolbars"
4. "Customize"
5. "Modify"
6. "Change Icon..."
7. "Import"

Once you click on the "Import" button, an "open file" dialog comes up. just wait for 1-2 seconds and OO will crash.


Actual Results:  Crash.

Expected Results:  No Crash.

Additional info:
Comment 1 Dimitris 2005-12-08 09:16:05 EST
Below is the text displayed in a debug dialog after the crash:

Video Driver is probably nvidia
DESKTOP_SESSION is set to default
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-143.2.1
0x6968007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x69687cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0xe45420:  + 0x420 (__kernel_sigreturn + 0x0)
0x245888: /lib/libc.so.6 + 0x29888 (abort + 0xf8)
0x56c93b1: /usr/lib/libglib-2.0.so.0 + 0x2c3b1 (g_logv + 0x462)
0x56c93e5: /usr/lib/libglib-2.0.so.0 + 0x2c3e5 (g_log + 0x29)
0x56c9451: /usr/lib/libglib-2.0.so.0 + 0x2c451 (g_assert_warning + 0x6a)
0x3012c11: /usr/lib/libgtk-x11-2.0.so.0 + 0xa7c11
0x56c1fe6: /usr/lib/libglib-2.0.so.0 + 0x24fe6
0x56c04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x56c34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x56c37c3: /usr/lib/libglib-2.0.so.0 + 0x267c3 (g_main_loop_run + 0x1a1)
0x3005781: /usr/lib/libgtk-x11-2.0.so.0 + 0x9a781 (gtk_dialog_run + 0x18b)
0x51147cd: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x77cd
0x5114811: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x7811
0x56c1fe6: /usr/lib/libglib-2.0.so.0 + 0x24fe6
0x56c04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x56c34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x56c39b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x24b6e91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e91
0x7e9733d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0x1784fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x234a004: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1d0004
0x234a082: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1d0082
0x234a0ca: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1d00ca
(sfx2::FileDialogHelper::Execute() + 0xe)
0x119f6e6: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x3596e6
0x119f768: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x359768
0x177ec72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x18e3091: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1df091
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x57)
0x18d8b15: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d4b15
(Button::Click() + 0x25)
0x18e2305: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1de305
(PushButton::Tracking(TrackingEvent const&) + 0x19d)
0x18d2751: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1ce751
(Window::EndTracking(unsigned short) + 0x115)
0x18d687d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d287d
0x18d7fa7: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3fa7
0x18d6d58: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d2d58
0x24c6f28: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28f28
0x24c6d22: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28d22
0x3076be2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0x2ea9285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x2eb775b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x2eb8c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0x2eb9223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x3152743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0x3075348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0x3075784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0x47fadf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x56c04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x56c34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x56c39b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x24b6e91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e91
0x7e9733d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0x1784fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x187cb8e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x178b8e
(Dialog::Execute() + 0x166)
0x11a154e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x35b54e
0x11a1b48: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x35bb48
0x177ec72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x190d220: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x209220
(MenuButton::Select() + 0x12)
0x190d4e5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2094e5
0x190d608: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x209608
(MenuButton::MouseButtonDown(MouseEvent const&) + 0xac)
0x18d686a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d286a
0x18d7f6b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3f6b
0x18d6d0b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d2d0b
0x24c6f28: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28f28
0x24c6d22: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28d22
0x3076be2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0x2ea9285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x2eb775b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x2eb8c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0x2eb9223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x3152743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0x3075348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0x30757ac: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a7ac (gtk_main_do_event + 0x351)
0x47fadf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x56c04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x56c34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x56c39b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x24b6e91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e91
0x7e9733d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0x1784fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x187cb8e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x178b8e
(Dialog::Execute() + 0x166)
0x2387d93: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x20dd93
(SfxTabDialog::Execute() + 0x33)
0x809dd58: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x53d58
0x222293a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa893a
0x221bc06: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa1c06
0x2316fec: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19cfec
0x23163d9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c3d9
0x23166ed: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c6ed
0x2316790: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c790
0x2212b34: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x98b34
0x232f6a9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b56a9
0x232f564: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5564
0x232f6be: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b56be
0x232f550: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5550
0x177ec72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x18d74c9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d34c9
0x7e6fed0: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1eed0
0x7e9612b: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4512b
(SalDisplay::DispatchInternalEvent() + 0xad)
0x24b725f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1925f
0x56c2730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x56c04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x56c34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x56c39b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x24b6e91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e91
0x7e9733d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0x1784fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x1784ff8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ff8
(Application::Execute() + 0x26)
0xd9ed77: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d77
(desktop::Desktop::Main() + 0x15df)
0x178a3e9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x863e9
0x178a499: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86499 (SVMain()
+ 0x29)
0xd962f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0xd96343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x230d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
Comment 2 Caolan McNamara 2005-12-09 07:30:46 EST
nasty, 

(soffice.bin:6447): Gtk-WARNING **: GtkEntry - did not receive focus-out-event.
If you
connect a handler to this signal, it must return
FALSE so the entry gets the event as well

Gtk-ERROR **: file gtkentry.c: line 4969 (blink_cb): assertion failed:
(GTK_WIDGET_HAS_FOCUS (entry))
aborting...

possibly be able to work around this by disabling blink on the afflicted combobox
Comment 3 Caolan McNamara 2005-12-09 07:57:40 EST
Yup, have a workaround, see
http://www.openoffice.org/issues/show_bug.cgi?id=59129 Will be in >= 2.0.1-145.3
Comment 4 Dimitris 2005-12-09 12:11:48 EST
Thank you for your help, much appriciated.

Note You need to log in before you can comment on or make changes to this bug.